[ Teleport to Hunting Grounds ]
You may teleport to any of the following hunting locations. Each teleport requires a sum of ancient adena.
[Necropolis]
Patriot's Necropolis - 10000 Ancient Adena
Necropolis of Sacrifice - 10000 Ancient Adena
Pilgrim's Necropolis - 10000 Ancient Adena
Worshipper's Necropolis - 10000 Ancient Adena
Ascetics Necropolis - 10000 Ancient Adena
Martyr's Necropolis - 10000 Ancient Adena
Saint's Necropolis - 10000 Ancient Adena
Disciples Necropolis - 10000 Ancient Adena
[Catacombs]
Heretics Catacomb - 10000 Ancient Adena
Catacomb of the Branded - 10000 Ancient Adena
Catacomb of the Apostate - 10000 Ancient Adena
Catacomb of the Witch - 10000 Ancient Adena
Catacomb of Dark Omens - 10000 Ancient Adena
Catacomb of the Forbidden Path - 10000 Ancient Adena
Return